Transfers - List
Lists the transfer requests for an invoice section. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/transfers?api-version=2024-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string pattern: ^([0-9]+|([Pp][Cc][Nn]\.[A-Za-z0-9]+)|[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}(:[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}_[0-9]{4}(-[0-9]{2}){2})?)$ |
The ID that uniquely identifies a billing account. |
|
billing
|
path | True |
string pattern: ^[a-zA-Z\d-_]{1,128}$ |
The ID that uniquely identifies a billing profile. |
|
invoice
|
path | True |
string pattern: ^[a-zA-Z\d-_]{1,128}$ |
The ID that uniquely identifies an invoice section. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
TransfersList
Sample request
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/xxxx-xxxx-xxx-xxx/invoiceSections/yyyy-yyyy-yyy-yyy/transfers?api-version=2024-04-01
Sample response
{
"value": [
{
"name": "aabb123",
"type": "Microsoft.Billing/transfers",
"id": "/providers/Microsoft.Billing/BillingAccounts/10000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/xxxx-xxxx-xxx-xxx/invoiceSections/yyyy-yyyy-yyy-yyy/transfers/aabb123",
"properties": {
"detailedTransferStatus": [
{
"productId": "subscriptionId",
"productName": "Azure subscription 1",
"productType": "AzureSubscription",
"skuDescription": "MS-AZR-0017G",
"transferStatus": "InProgress"
},
{
"productId": "reservedInstanceId",
"productName": "Reservation name",
"productType": "AzureReservation",
"skuDescription": "Standard_D2s_v3;VirtualMachines;P1Y",
"transferStatus": "InProgress"
}
],
"expirationTime": "2018-11-05T17:32:28Z",
"initiatorEmailId": "xyz@contoso.com",
"recipientEmailId": "user@contoso.com",
"transferStatus": "InProgress"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Detailed |
Detailed transfer status. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Product |
The status of a transfer. |
|
Product |
The type of product that is transferred. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Transfer |
Details of the transfer. |
|
Transfer |
Paged collection of TransferDetails items |
|
Transfer |
Error details for transfer execution. |
|
Transfer |
The status of a transfer. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DetailedTransferStatus
Detailed transfer status.
| Name | Type | Description |
|---|---|---|
| errorDetails |
Error details for transfer execution. |
|
| productId |
string |
The ID of the product that is transferred. |
| productName |
string |
The name of the product that is transferred. |
| productType |
Type of product that is transferred. |
|
| skuDescription |
string |
The SKU of the product that is transferred. |
| transferStatus |
Transfer status. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ProductTransferStatus
The status of a transfer.
| Value | Description |
|---|---|
| NotStarted |
NotStarted |
| InProgress |
InProgress |
| Completed |
Completed |
| Failed |
Failed |
ProductType
The type of product that is transferred.
| Value | Description |
|---|---|
| AzureSubscription |
AzureSubscription |
| AzureReservation |
AzureReservation |
| Department |
Department |
| SavingsPlan |
SavingsPlan |
| SAAS |
SAAS |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
TransferDetails
Details of the transfer.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.canceledBy |
string |
The email ID of the user who canceled the transfer request. |
| properties.detailedTransferStatus |
Detailed transfer status. |
|
| properties.expirationTime |
string (date-time) |
The time at which the transfer request expires. |
| properties.initiatorEmailId |
string |
The email ID of the user who sent the transfer request. |
| properties.recipientEmailId |
string |
The email ID of the user to whom the transfer request was sent. |
| properties.transferStatus |
Overall transfer status. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Dictionary of metadata associated with the resource. It may not be populated for all resource types. Maximum key/value length supported of 256 characters. Keys/value should not empty value nor null. Keys can not contain < > % & \ ? / |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
TransferDetailsListResult
Paged collection of TransferDetails items
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The TransferDetails items on this page |
TransferError
Error details for transfer execution.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message. |
TransferStatus
The status of a transfer.
| Value | Description |
|---|---|
| Expired |
Expired |
| Pending |
Pending |
| InProgress |
InProgress |
| Completed |
Completed |
| CompletedWithErrors |
CompletedWithErrors |
| Failed |
Failed |
| Canceled |
Canceled |
| Declined |
Declined |